﻿// Copyright (c) Interactive Scientific LTD. All rights reserved.
// Licensed under the GPL. See License.txt in the project root for license information.
namespace Nano
{
    /// <summary>
    /// Helper methods of all flavors.
    /// </summary>
    /// <autogeneratedoc />
    public static partial class Helper
	{
        #region String Helpers

        /// <summary>
        /// Determines whether [is null or empty] [the specified string].
        /// </summary>
        /// <param name="str">The string.</param>
        /// <returns><c>true</c> if [is null or empty] [the specified string]; otherwise, <c>false</c>.</returns>
        /// <autogeneratedoc />
        /// TODO Edit XML Comment Template for IsNullOrEmpty
        public static bool IsNullOrEmpty(string str)
		{
			if (str == null)
			{
				return true;
			}

			if (str.Trim().Length == 0)
			{
				return true;
			}

			return false;
		}

        /// <summary>
        /// Determines whether [is not null or empty] [the specified string].
        /// </summary>
        /// <param name="str">The string.</param>
        /// <returns><c>true</c> if [is not null or empty] [the specified string]; otherwise, <c>false</c>.</returns>
        /// <autogeneratedoc />
        /// TODO Edit XML Comment Template for IsNotNullOrEmpty
        public static bool IsNotNullOrEmpty(string str)
		{
			if (str == null)
			{
				return false;
			}

			if (str.Trim().Length == 0)
			{
				return false;
			}

			return true;
		}

		#endregion
	}
}
